CVE-2002-1421
CVSS7.5
发布时间 :2003-04-11 00:00:00
修订时间 :2008-09-05 16:30:33
NMCOS    

[原文]SQL injection vulnerabilities in FUDforum before 2.2.0 allow remote attackers to perform unauthorized database operations via (1) report.php, (2) selmsg.php, and (3) showposts.php.


[CNNVD]Ilia Alshanetsky FUDForum SQL注入漏洞(CNNVD-200304-070)

        FUDforum 2.2.0之前的版本存在SQL注入漏洞。远程攻击者借助(1)report.php,(2)selmsg.php,和(3)showposts.php执行未认证的数据库操作。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ilia_alshanetsky:fudforum:1.9.8
cpe:/a:ilia_alshanetsky:fudforum:1.2.8
cpe:/a:ilia_alshanetsky:fudforum:2.0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1421
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1421
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200304-070
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5500
(VENDOR_ADVISORY)  BID  5500
http://www.iss.net/security_center/static/9912.php
(VENDOR_ADVISORY)  XF  fudforum-sql-injection(9912)
http://online.securityfocus.com/archive/1/288042
(VENDOR_ADVISORY)  BUGTRAQ  20020818 FUDforum file access and SQL Injection
http://archives.neohapsis.com/archives/vulnwatch/2002-q3/0082.html
(UNKNOWN)  VULNWATCH  20020818 FUDforum file access and SQL Injection

- 漏洞信息

Ilia Alshanetsky FUDForum SQL注入漏洞
高危 SQL注入
2003-04-11 00:00:00 2005-10-20 00:00:00
远程  
        FUDforum 2.2.0之前的版本存在SQL注入漏洞。远程攻击者借助(1)report.php,(2)selmsg.php,和(3)showposts.php执行未认证的数据库操作。

- 公告与补丁

        The following upgrades are available:
        Ilia Alshanetsky FUDForum 1.2.8
        
        Ilia Alshanetsky FUDForum 1.9.8
        
        Ilia Alshanetsky FUDForum 2.0.2
        

- 漏洞信息

10114
FUDforum report.php SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

FUDforum contains a flaw that will allow a remote attacker to inject arbitrary SQL code. The problem is that user-supplied input in the 'report.php' script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2002-08-18 2002-06-17
Unknow Unknow

- 解决方案

Upgrade to version 2.2.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Ilia Alshanetsky FUDForum SQL Injection Vulnerability
Input Validation Error 5500
Yes No
2002-08-19 12:00:00 2009-07-11 03:56:00
Discovery credited to Ulf Harnhammar <ulfh@update.uu.se>.

- 受影响的程序版本

Ilia Alshanetsky FUDForum 2.0.2
Ilia Alshanetsky FUDForum 1.9.8
Ilia Alshanetsky FUDForum 1.2.8
Ilia Alshanetsky FUDForum 2.2.3
Ilia Alshanetsky FUDForum 2.2 .0

- 不受影响的程序版本

Ilia Alshanetsky FUDForum 2.2.3
Ilia Alshanetsky FUDForum 2.2 .0

- 漏洞讨论

Ilia Alshanetsky FUDForum is a freely available Web-based forum.

Reportedly, L-Forum is vulnerable to SQL injection attacks. SQL code may be inserted into the requests and executed by the database server. These requests could include adding, deleting, and modifying data.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The following upgrades are available:


Ilia Alshanetsky FUDForum 1.2.8

Ilia Alshanetsky FUDForum 1.9.8

Ilia Alshanetsky FUDForum 2.0.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站